package com.mortals.xhx.module.dimension.service;

import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.dimension.dao.DimensionResourceRuleDao;
import com.mortals.xhx.module.dimension.model.DimensionResourceRuleEntity;

import java.util.List;

/**
* DimensionResourceRuleService
*
* 角色资源维度规则 service接口
*
* @author zxfei
* @date 2024-05-16
*/
public interface DimensionResourceRuleService extends ICRUDService<DimensionResourceRuleEntity,Long>{

    DimensionResourceRuleDao getDao();

    /**
     * 根据当前controller路由获取用户角色资源维度规则
     * @param userId
     * @param route 当前controller路由
     * @return
     */
    List<DimensionResourceRuleEntity> getRoleComponentRule(Long userId,String route);
}